############################################################
#
# type definition pro_declaration_component_pbsknownhosts
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 0.0.5
#
############################################################

declaration template pro_declaration_component_pbsknownhosts;

include pro_declaration_structures;

define type component_pbsknownhosts = {
	include structure_component
	"configFile"       : string 
	"pbsbin"           : string 
	"nodes"            : string 
	"keytypes"         : string 
	"knownhosts"       : string 
};

type "/software/components/pbsknownhosts" = component_pbsknownhosts;
