############################################################
#
# type definition pro_software_component_pbsknownhosts
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 0.0.5
#
############################################################

template pro_software_component_pbsknownhosts;

include pro_declaration_component_pbsknownhosts;

# Package to install
"/software/packages"=pkg_repl("ncm-pbsknownhosts","0.0.5-1","noarch");
 
"/software/components/pbsknownhosts/dependencies/pre" = default(list("spma"));
"/software/components/pbsknownhosts/active"= default(true);
"/software/components/pbsknownhosts/dispatch"= default(true);

"/software/components/pbsknownhosts/configFile"= 
  default("/opt/edg/etc/edg-pbs-knownhosts.conf");
"/software/components/pbsknownhosts/pbsbin"= default("/usr/bin");
"/software/components/pbsknownhosts/nodes"= default("");
"/software/components/pbsknownhosts/keytypes"= default("rsa1,rsa,dsa");
"/software/components/pbsknownhosts/knownhosts"= default("/etc/ssh/ssh_known_hosts");
